Main Page Widgets Namespaces Book

# Pango::FontFamily Class Reference

A Pango::FontFamily is used to represent a family of related font faces. More...

Inheritance diagram for Pango::FontFamily:

[legend]
List of all members.

## Public Methods
virtual | ~FontFamily ()
PangoFontFamily* | gobj ()
| Provides access to the underlying C GObject.
const PangoFontFamily* | gobj () const
| Provides access to the underlying C GObject.
PangoFontFamily* | gobj_copy ()
Glib::ArrayHandle< Glib::RefPtr< FontFace > > | list_faces () const
| Lists the different font faces that make up family.
Glib::ustring | get_name () const
| Gets the name of the family.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Pango::FontFamily> | wrap (PangoFontFamily* object, bool take_copy=false)

## Detailed Description

A Pango::FontFamily is used to represent a family of related font faces.

The faces in a family share a common design, but differ in slant, weight, width and other aspects.

## Constructor & Destructor Documentation

virtual Pango::FontFamily::~FontFamily | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::ustring Pango::FontFamily::get_name | ( |  | ) |

| Gets the name of the family. The name is unique among all fonts for the font backend and can be used in a Pango::FontDescription to specify that a face from this family is desired. Returns: The name of the family. This string is owned by the family object and must not be modified or freed.

const PangoFontFamily* Pango::FontFamily::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

PangoFontFamily* Pango::FontFamily::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

PangoFontFamily* Pango::FontFamily::gobj_copy | ( |  | ) |

Glib::ArrayHandle<Glib::RefPtr<FontFace>> Pango::FontFamily::list_faces | ( |  | ) |

| Lists the different font faces that make up family. The faces in a family share a common design, but differ in slant, weight, width and other aspects. Returns: an array of pointers to Pango::FontFace objects.

## Friends And Related Function Documentation

Glib::RefPtr<Pango::FontFamily> wrap | ( | PangoFontFamily* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- fontfamily.h